Chromen päivittäminen Ubuntussa, Debianissa ja johdannaisissa

Viime perjantaina törmäsin epämiellyttävään yllätykseen, jossa päivitettäessä Google Chromea päivitysjärjestelmä kertoi tarvitsevansa 32-bittistä arkistoa, joka se oli jo ilmoitettu viime vuoden joulukuusta lähtien. Tämä toimenpide tuli kuitenkin voimaan tiistaina 3. maaliskuuta, jolloin Google Chromen 32-bittisen version arkisto poistettiin kokonaan.

Sinulla on todennäköisesti tällainen viesti:

W: Fallo al obtener http://dl.google.com/linux/chrome/deb/dists/stable/Release No se pudo encontrar la entrada esperada «main/binary-i386/Packages» en el archivo «Release» (entrada incorrecta en «sources.list» o fichero mal formado)

Niille, jotka käyttävät Ubuntun 64-bittisiä versioita (täsmälleen Trustysta) ja Debian Jessiestä, sinun on suoritettava seuraava komentorivi (jos sinulla ei ole SUDOa määritetty, suosittelen, että suoritat sen ROOT-alla):

sudo sed -i -e 's/deb http/deb [arch=amd64] http/' "/etc/apt/sources.list.d/google-chrome.list"

Niille ihmisille, jotka käyttävät edelleen Ubuntu 12.04 (Precise Pangolin) ja Debian 7 (Wheezy), riippumatta siitä, käyttävätkö he 32- tai 64-bittisiä versioita, Google Chrome -tuki on lopetettu kokonaan, joten ainoa vaihtoehto Mitä jäljellä on yksinkertaisesti poistaa selain ja käyttää mitään muuta eikä vähempää kuin Chromium-versio, joka on mainituissa arkistoissa, käyttää toista selainta tai yksinkertaisesti päivittää vastaava jakelu Google Chrome -tietovaraston poistamisen lisäksi.

sudo rm /etc/apt/sources.list.d/google-chrome.list
sudo apt-get remove google-chrome

Niille käyttäjille, jotka kuitenkin käyttävät edelleen Google Chromen 32-bittistä versiota, lähdekoodi on edelleen käytettävissä käännettäväksi ja suoritettavaksi omassa distrossaan tai myös pystyäksesi lataamaan sen levyn reposta, johon heidän on lisättävä. tehdä työtä. Tämä sisältää myös 32-bittiset Google Chrome -käyttöjärjestelmän ja ARM: n Google Chrome -rakennukset kroiumjohdannaisten, kuten Opera, lisäksi.


Artikkelin sisältö noudattaa periaatteita toimituksellinen etiikka. Ilmoita virheestä napsauttamalla täällä.

14 kommenttia, jätä omasi

Jätä kommentti

Sähköpostiosoitettasi ei julkaista.

*

*

  1. Vastuussa tiedoista: Miguel Ángel Gatón
  2. Tietojen tarkoitus: Roskapostin hallinta, kommenttien hallinta.
  3. Laillistaminen: Suostumuksesi
  4. Tietojen välittäminen: Tietoja ei luovuteta kolmansille osapuolille muutoin kuin lain nojalla.
  5. Tietojen varastointi: Occentus Networks (EU) isännöi tietokantaa
  6. Oikeudet: Voit milloin tahansa rajoittaa, palauttaa ja poistaa tietojasi.

  1.   Doe Mengano dijo

    "Niille teistä, jotka jatkavat Ubuntu 12.04 (Precise Pangolin) ja Debian 7 (Wheezy) -käyttöä, riippumatta siitä, käyttävätkö he 32- tai 64-bittisiä versioita, Google Chrome -tuki on lopetettu kokonaan"

    En tiedä Ubuntua. Debian 7: ssä 64-bittinen si Voit jatkaa uusimpien versioiden käyttämistä Google Repolla.

    1.    eliotime3000 dijo

      Errata.

      Unohdin, että tämä varoitus koski Ubuntu Precise ja Debian Wheezy 32-bittistä versiota.

    2.    yomi dijo

      No, minulla on asennettuna Debian Wheezy 64 -bittiä, ja saan viestin, jonka mukaan Chrome ei saa enää päivityksiä. Asennettu versio on 49.0.2623.87 (ja ilmeisesti se on viimeisin).

  2.   Uber florez dijo

    kiitos

    Työskentelen Ubuntu 15.10 - 64 bit

  3.   aeneas_e dijo

    Kiitos! Se toimi täydellisesti Xubuntu 14.04: ssä 64: stä.

  4.   Joseph Acosta dijo

    Kiitos!! työskenteli minulle ubuntu 14.04LTS: llä 64

  5.   Joseph Acosta dijo

    Kiitos!! se toimi minulle Ubuntu 14.04LTS: llä

  6.   Tobias dijo

    En välitä, en tarvitse Googlea pitämään selainta, käytän Firefoxia ja Chomiumia Lubuntu 14.04 64 -bitissä, joissa ei ole vakoiluohjelmia ...

    1.    laatta dijo

      Ei niin ilmainen, mutta olen samaa mieltä, anna heidän tehdä mitä haluavat, vaihtoehtoja on vielä enemmän.

  7.   Xavi dijo

    Paljon kiitoksia, etsin ratkaisua enkä löytänyt sitä, kun lopetin etsimisen ... Löysin sen sattumalta blogista, jonka luin aina ... tämän! Kiitos.

  8.   Nasara dijo

    Kiitos paljon, crack!
    Korjattu ongelma Ubuntu Mate 15.10 x64 -käyttöjärjestelmässä

  9.   Jeesus dijo

    Kiitos paljon, kiinteä Ubuntu 14.04 x64

  10.   Edgar dijo

    ei mainintaa Ubuntu 16: sta?

  11.   Edgar dijo

    Tämä on tulos Phoronix-testistä.
    Ymmärrän, että käytän 64-bittistä Ubuntu-päivitystä, mutta jos muistan oikein, minulla oli 14-bittinen Ubuntu 32 asennettuna.
    Kun epäilet heidän olevan erittäin aloittelijoita.
    Voisiko väärän päivityksen asentaa?
    kiitos